This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 904920 - base images on local disk should be converted to raw *sparse*, not raw
base images on local disk should be converted to raw *sparse*, not raw
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.1
Unspecified Unspecified
medium Severity low
: snapshot4
: 2.1
Assigned To: Russell Bryant
Yaniv Kaul
: Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 02:51 EST by Yaniv Kaul
Modified: 2016-04-26 13:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 15:25:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2013-01-28 02:51:44 EST
Description of problem:
There's very little benefit in converting images to raw and not to raw-sparse when bringing them to the compute's node /var/lib/nova/_base .
The default is to convert them to raw, but converting them to raw sparse could potentially be faster but certainly save a lot of IO and possibly space.
I doubt there's a performance difference.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Perry Myers 2013-01-28 22:13:58 EST
I'll second this idea.  When I bring an image over for the first time onto a specific Nova Compute node, it absolutely KILLS that node I/O wise between doing the http get followed by the conversion of the qcow2 image to raw nonsparse.

If this is a reasonably small change I'd like to consider it for 2.1
Comment 3 Russell Bryant 2013-02-18 15:25:06 EST
After some discussions via email, we seem to have concluded that raw sparse is already being used here.  Please reopen if that is not the case.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.